extends Node3D


const BACKROOM_WONDER_TIME = 60

func _ready():
    if not Engine.is_editor_hint():
        Input.mouse_mode = Input.MOUSE_MODE_CAPTURED
    
    SteamConnection.unlock_achievement(SteamConnection.ACH_STW_TOO_FAR)
    
    await get_tree().create_timer(BACKROOM_WONDER_TIME).timeout

    SceneManager.change_to_scene(RegionScene.new(GameInfo.game_data.current_region_data))